{
  "AppConfig": {
    "appType": "Controllers",
    "urls": [ "http://*:38030" ],
    "corUrls": [],
    "assemblyNames": [ "NPP.SmartSchedue.Api" ],
    "EnumListAssemblyNames": [ "NPP.SmartSchedue.Api", "NPP.SmartSchedue.Api.Contracts" ],
    "tenant": true,
    "distributeKey": "",
    "validate": {
      "login": true,
      "permission": true,
      "dataPermission": true,
      "apiDataPermission": true
    },
    "swagger": {
      "enable": true,
      "enableEnumSchemaFilter": true,
      "enableOrderTagsDocumentFilter": true,
      "enableJsonStringEnumConverter": false,
      "enableSchemaIdNamespace": false,
      "assemblyNameList": [],
      "routePrefix": "doc/app/swagger",
      "url": "http://localhost:38030",
      "projects": [
        {
          "name": "排班服务",
          "code": "app",
          "version": "v9.1.2",
          "description": "NPP.SmartSchedue"
        }
      ]
    },
    "apiUI": {
      "enable": true,
      "routePrefix": "doc/app",
      "footer": {
        "enable": false,
        "content": "Copyright<a-icon type=\"copyright\" /> 2022-<a target=\"_blank\" href=\"https:www.zhontai.net\">中台Admin</a>"
      }
    },
    "miniProfiler": false,
    "aop": {
      "transaction": true
    },
    "log": {
      "operation": true
    },
    "rateLimit": false,
    "varifyCode": {
      "enable": false,
      "fonts": [ "Times New Roman", "Verdana", "Arial", "Gungsuh", "Impact" ]
    },
    "defaultPassword": "123asd",
    "dynamicApi": {
      "formatResult": true
    },
    "passwordHasher": false,
    "Kestrel": {
      "KeepAliveTimeout": 600,
      "RequestHeadersTimeout": 600,
      "maxRequestBodySize": 104857600
    },
    "healthChecks": {
      "enable": true,
      "path": "/health"
    },
    "PreflightMaxAge": 1800,
    "IdGenerator": {
      "DataCenterId": 0,
      "WorkerId": 1,
      "WorkerIdBitLength": 6,
      "SeqBitLength": 6,
      "CachePrefix": "zhontai:workerid"
    },
    "Lang": {
      "EnableJson": true,
      "DefaultLang": "zh-CN",
      "Langs": [ "zh-CN", "en" ],
      "RequestCultureProviders": []
    }
  }
}